﻿@model IEnumerable<CompanyUserListModel>

@{
    ViewData["Title"] = "Manage Company User";
}

<div class="container-fluid" style="min-height: 500.8px;margin:0 !important;">
    <section class="content-header">
        
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i><span class="icon-after-span"> Home</span></a></li>
            <li class="active">Manage Company User</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="box-title">Manage Company User</h4>
                        <div class="box-tools">
                            <div class="input-group input-group-sm" style="width: 150px;text-align:right;">
                                <a asp-controller="CompanyUser" asp-action="CreateUser"><i class="fa fa-plus-circle"></i><span class="icon-after-span">Add New</span></a>
                            </div>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="panel-body table-responsive">
                        @if (!string.IsNullOrEmpty(Convert.ToString(TempData["ErrorMessage"])))
                        {
                            <div class="alert alert-danger">  @TempData["ErrorMessage"]</div>
                            <script>
                                $(function () {
                                    setTimeout(function () { hideTarget(); }, 5000);
                                });
                                function hideTarget() {
                                    $(".alert").hide();
                                }
                            </script>
                        }
                        @if (!string.IsNullOrEmpty(Convert.ToString(TempData["SuccessMessage"])))
                        {
                            <div class="alert alert-success">  @TempData["SuccessMessage"]</div>
                            <script>
                                $(function () {
                                    setTimeout(function () { hideTarget(); }, 5000);
                                });
                                function hideTarget() {
                                    $(".alert").hide();
                                }
                            </script>
                        }
                        <table class="table table-bordered">
                            <thead>
                                <tr>

                                    <th>
                                        @Html.DisplayNameFor(model => model.CompanyName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.LocationName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.RoleName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.FirstName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.LastName)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.Email)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => model.CreatedOn)
                                    </th>

                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model)
                                {
                                <tr>

                                    <td>
                                        @Html.DisplayFor(modelItem => item.CompanyName)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.LocationName)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.RoleName)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.FirstName)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.LastName)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.Email)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.CreatedOn)
                                    </td>
                                    <td>
                                        <a asp-action="Edit" asp-route-id="@item.ComLocId" class="fa fa-pencil" title="Edit Company User"></a>
                                        <a asp-action="Delete" asp-route-id="@item.ComLocId" onclick="return confirm('Are sure wants to delete?');" class="fa fa-trash" title="Delete User"></a>
                                    </td>
                                </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
                <div>
                    @*<a asp-action="Index">Back to List</a>*@
                </div>
                <!-- /.box -->
            </div>
        </div>
    </section>
</div>

